fig67 <- function(post=F)
{
if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig67.ps", width=4.4, height=5, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(2, 1),mar=c(5,3,3,1)+0.1)
 par(cex=0.8,mex=0.5,csi=0.11)

  
  x <- seq(0,1, by=0.01)

  n <-  length(x)
  knot <- c(0.3,0.7,0.9)
  res <- matrix(rep(1,n),nrow=n)
  knot <- matrix(knot, nrow=1)
  res <- res %*% knot
  res <- - ( res - x)^3
  res[res<0] <- 0
  res <- cbind(res,1,x,x^2,x^3)
  res[,1] <- res[,1]/res[n,1]
  res[,2] <- res[,2]/res[n,2]
  res[,3] <- res[,3]/res[n,3]



  matplot(x,res,xlab="", ylab="", type="l",col=1)
  title("Power spline basis")
  points(knot,rep(0,3), pch=17)

  res <- bs(x, knots=knot, degree=3, intercept=T)
  matplot(x,res,xlab="", ylab="", type="l",col=1)
  points(knot,rep(0,3), pch=17)
  title("B-spline basis")
}
